# Uses of Interface
org.eclipse.jface.text.MultiStringMatcher.Match

Packages that use MultiStringMatcher.Match
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of MultiStringMatcher.Match in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return MultiStringMatcher.Match
Modifier and Type
Method
Description
`MultiStringMatcher.Match`
MultiStringMatcher.`indexOf(CharSequence text, int offset)`
Find the next occurrence of any of the search strings of the `MultiStringMatcher` in the given `text` starting at the given `offset`.
`static MultiStringMatcher.Match`
MultiStringMatcher.`indexOf(CharSequence text, int offset, String... searchStrings)`
Finds the leftmost longest occurrence of any of the given `searchStrings` in the `text` starting at the given `offset`.
Methods in org.eclipse.jface.text that return types with arguments of type MultiStringMatcher.Match
Modifier and Type
Method
Description
`List<MultiStringMatcher.Match>`
MultiStringMatcher.`find(CharSequence text, int offset)`
Finds all occurrences of any of the search strings of the `MultiStringMatcher` in the given `text` starting at the given `offset`, including overlapping occurrences.
Method parameters in org.eclipse.jface.text with type arguments of type MultiStringMatcher.Match
Modifier and Type
Method
Description
`void`
MultiStringMatcher.`find(CharSequence text, int offset, Consumer<MultiStringMatcher.Match> matches)`
Finds all occurrences of any of the search strings of the `MultiStringMatcher` in the given `text` starting at the given `offset`, including overlapping occurrences.